QTstyle_Test Class Referenceabstract

A test class. More...

## Public Types

enum | TEnum { TVal1 , TVal2 , TVal3 }
| An enum. More...

## Public Member Functions

| QTstyle_Test ()
| A constructor.
| ~QTstyle_Test ()
| A destructor.
int | testMe (int a, const char *s)
| A normal member taking two arguments and returning an integer value.
virtual void | testMeToo (char c1, char c2)=0
| A pure virtual member.

## Public Attributes

enum QTstyle_Test::TEnum * | enumPtr
| Enum pointer.
enum QTstyle_Test::TEnum | enumVar
| Enum variable.
int | publicVar
| A public variable.
int(* | handler )(int a, int b)
| A function variable.

## Detailed Description

A test class.

A more elaborate class description.

## Member Enumeration Documentation

## TEnum

enum QTstyle_Test::TEnum

An enum.

More detailed enum description.

Enumerator
TVal1 | Enum value TVal1.
TVal2 | Enum value TVal2.
TVal3 | Enum value TVal3.

## Constructor & Destructor Documentation

## QTstyle_Test()

QTstyle_Test::QTstyle_Test | ( |  | ) |

A constructor.

A more elaborate description of the constructor.

## ~QTstyle_Test()

QTstyle_Test::~QTstyle_Test | ( |  | ) |

A destructor.

A more elaborate description of the destructor.

## Member Function Documentation

## testMe()

int QTstyle_Test::testMe | ( | int | a,
|  | const char * | s )

A normal member taking two arguments and returning an integer value.

Parameters

  a | an integer argument.
  s | a constant character pointer.

Returns
  The test results

See also
  QTstyle_Test(), ~QTstyle_Test(), testMeToo() and publicVar()

## testMeToo()

virtual void QTstyle_Test::testMeToo | ( | char | c1,
|  | char | c2 )

pure virtual

A pure virtual member.

See also
  testMe()

Parameters

  c1 | the first argument.
  c2 | the second argument.

## Member Data Documentation

## enumPtr

enum QTstyle_Test::TEnum * QTstyle_Test::enumPtr

Enum pointer.

Details.

## enumVar

enum QTstyle_Test::TEnum QTstyle_Test::enumVar

Enum variable.

Details.

## handler

int(* QTstyle_Test::handler) (int a, int b)

A function variable.

Details.

## publicVar

int QTstyle_Test::publicVar

A public variable.

Details.

The documentation for this class was generated from the following file:

- qtstyle.cpp